$(document).ready(function(){
    $("#connect").click(send);
});

function send() {
    $.getJSON("loginService.php", $("#loginForm").serialize(), callback);
}

function callback(data) {
    console.log(data);
    
    $("input").removeClass("fieldError");
    switch (data.result.status) {
        case 1:
            runApp(data.result.user);
            break;
        case 2:
            $("#msg").text("Le nom d'utilisateur est inconnu ... ");
            $("#login").addClass("fieldError");
            break;
        case 3:
            $("#msg").text("Le mot de passe est incorrect ... ");
            $("#passwd").addClass("fieldError");
            break;
        default:
            $("#msg").text("Les paramètres fournis au service sont mauvais ... ");
            break;
    }
}

function runAppAnim(user) {
    $("#fs div").hide(500, function(){
        $("#msg").text(user.firstname + " " + user.lastname + ", vous êtes connecté ... bravo !");
    });
}

function runApp(user) {
    $("#fs div").hide();
    $("#msg").text(user.firstname + " " + user.lastname + ", vous êtes connecté ... bravo !");
}


